CSFML

- Main Page
- Data Structures
- Files

- File List
- Globals

Macros | Typedefs
Config.h File Reference

Go to the source code of this file.

## Macros
#define | CSFML_VERSION_MAJOR 2
#define | CSFML_VERSION_MINOR 1
#define | CSFML_API_EXPORT extern "C"
#define | CSFML_API_IMPORT extern
#define | sfFalse 0
#define | sfTrue 1

## Typedefs
typedef int | sfBool
typedef signed char | sfInt8
typedef unsigned char | sfUint8
typedef signed short | sfInt16
typedef unsigned short | sfUint16
typedef signed int | sfInt32
typedef unsigned int | sfUint32
typedef signed long long | sfInt64
typedef unsigned long long | sfUint64

## Macro Definition Documentation

#define CSFML_API_EXPORT extern "C"

Definition at line 95 of file Config.h.

#define CSFML_API_IMPORT extern

Definition at line 96 of file Config.h.

#define CSFML_VERSION_MAJOR 2

Definition at line 32 of file Config.h.

#define CSFML_VERSION_MINOR 1

Definition at line 33 of file Config.h.

#define sfFalse 0

Definition at line 107 of file Config.h.

#define sfTrue 1

Definition at line 108 of file Config.h.

## Typedef Documentation

typedef int sfBool

Definition at line 106 of file Config.h.

typedef signed short sfInt16

Definition at line 124 of file Config.h.

typedef signed int sfInt32

Definition at line 128 of file Config.h.

typedef signed long long sfInt64

Definition at line 136 of file Config.h.

typedef signed char sfInt8

Definition at line 120 of file Config.h.

typedef unsigned short sfUint16

Definition at line 125 of file Config.h.

typedef unsigned int sfUint32

Definition at line 129 of file Config.h.

typedef unsigned long long sfUint64

Definition at line 137 of file Config.h.

typedef unsigned char sfUint8

Definition at line 121 of file Config.h.